Name:           bender-tomte-simple
Version:        0.3.0
Release:        lp156.4.1
Summary:        Bender Tomte Simple
License:        Apache-2.0
Group:          Development/Languages/Ruby
URL:            https://intercom.it
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ruby-macros >= 5
BuildRequires:  systemd-rpm-macros
# fix suderos.d ownership
Requires:       rubygem(ruby:2.5.0:tomte-agents:1.1) >= 1.1.0
Requires:       rubygem(ruby:2.5.0:sentry-raven)
Requires:       rubygem(ruby:2.5.0:pry)
Requires:       rubygem(ruby:2.5.0:kyotocabinet)
Requires:       rubygem(ruby:2.5.0:ygg_provisioner)
Requires:       rubygem(ruby:2.5.0:tomte-core)
Requires:       rubygem(ruby:2.5.0:tomte-agents)
Requires:       rubygem(ruby:2.5.0:activeresource-hel)

%description
Bender Tomte Simple

%prep

%setup

%build

%install
%make_install
install -D -m 0644 support/bender-dns.timer %{buildroot}%{_unitdir}/bender-dns.timer
install -D -m 0644 support/bender-dns.service %{buildroot}%{_unitdir}/bender-dns.service
install -D -m 0644 support/bender-law-filters.timer %{buildroot}%{_unitdir}/bender-law-filters.timer
install -D -m 0644 support/bender-law-filters.service %{buildroot}%{_unitdir}/bender-law-filters.service

%pre
%service_add_pre bender-dns.timer
%service_add_pre bender-dns.service
%service_add_pre bender-law-filters.timer
%service_add_pre bender-law-filters.service
exit 0

%preun
%service_del_preun bender-dns.timer
%service_del_preun bender-dns.service
%service_del_preun bender-law-filters.timer
%service_del_preun bender-law-filters.service
exit 0

%post
%service_add_post bender-dns.timer
%service_add_post bender-dns.service
%service_add_post bender-law-filters.timer
%service_add_post bender-law-filters.service
exit 0

%postun
%service_del_postun bender-dns.timer
%service_del_postun bender-dns.service
%service_del_postun bender-law-filters.timer
%service_del_postun bender-law-filters.service
exit 0

%files
%defattr(-, root, root)


%dir /usr/lib/bender-tomte-simple
%dir /usr/lib/bender-tomte-simple/bin
%dir /usr/lib/bender-tomte-simple/config
%dir /usr/lib/bender-tomte-simple/lib
%dir /usr/lib/bender-tomte-simple/lib/bender
%dir /usr/lib/bender-tomte-simple/lib/bender/models
%dir /usr/lib/bender-tomte-simple/lib/bender/models/ygg
%dir /usr/lib/bender-tomte-simple/lib/bender/models/ygg/dns
%dir /usr/lib/bender-tomte-simple/lib/bender/models/ygg/law_filter
%dir /usr/lib/bender-tomte-simple/lib/bender/services
%dir /usr/lib/bender-tomte-simple/lib/bender/templates
%dir /usr/lib/bender-tomte-simple/lib/bender-tomte-simple
%dir /usr/lib/bender-tomte-simple/lib/tomte
%dir /usr/lib/bender-tomte-simple/lib/tomte/agents

%dir %{_sysconfdir}/tomte
%config(noreplace) %{_sysconfdir}/tomte/bender.yml
%config %attr(0644, root, root) %{_sysconfdir}/tomte/bender_defaults.yml.sample
%config(noreplace) %ghost %{_sysconfdir}/tomte/bender_defaults.yml

%{_unitdir}/bender-dns.timer
%{_unitdir}/bender-dns.service
%{_unitdir}/bender-law-filters.timer
%{_unitdir}/bender-law-filters.service

%attr(0755, root, root) %{_sbindir}/bender
%attr(0755, root, root) /usr/lib/bender-tomte-simple/bin/bender

%attr(0644, root, root) /usr/lib/bender-tomte-simple/config/bender_defaults.yml

%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender-tomte-simple.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender-tomte-simple/version.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/backend.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/plugin.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/resources.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/service_implementation.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/tomte/agents/bender.rb

%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/services/dns_zones.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/models/ygg/dns/zones.rb

%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/services/law_filters.rb
%attr(0644, root, root) /usr/lib/bender-tomte-simple/lib/bender/models/ygg/law_filter/ordinance.rb


%changelog
